﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ConsoleApplication18.UseMCRefDC;

namespace ConsoleApplication18
{
    class Program
    {
        static void Main(string[] args)
        {
            TestUseDCRefDC();

            TestUseMCRefDC();
            
            TestUseDCRefMC();
            
            TestUseMCRefMC();

            Console.Read();
        }

        public static void TestUseDCRefDC()
        {
            var client = new UseDCRefDC.Service1Client();
            var item = new UseDCRefDC.BookOrder() { ISBN = "1", BookAddress = "USA", BookTitle = "WCF" };
            var result = client.PlaceOrder(item);
        }

        public static void TestUseMCRefDC()
        {
            var client = new UseMCRefDC.Service1Client();
            var item = new UseMCRefDC.BookOrder() { ISBN = "1", BookAddress = "USA", BookTitle = "WCF" };

            PlaceOrderRequest request = new PlaceOrderRequest(item);
            PlaceOrderResponse response = client.PlaceOrder(request);

            var result = response.PlaceOrderResult;
        }

        public static void TestUseDCRefMC()
        {
            var client = new UseDCRefMC.Service2Client();
            var item = new UseDCRefMC.BookOrder() { ISBN = "1", BookAddress = "USA", BookTitle = "WCF" };

            client.PlaceOrder(ref item.ISBN, ref item.BookAddress, ref item.BookTitle);
        }

        public static void TestUseMCRefMC()
        {
            var client = new UseMCRefMC.Service2Client();
            var item = new UseMCRefMC.BookOrder() { ISBN = "1", BookAddress = "USA", BookTitle = "WCF" };

            var result = client.PlaceOrder(item);
        }
    }
}
